## trunk?format=zip&rev=22

=== Makefile ===

#
# Makefile for ExRootAnalysis
#
# Author: P. Demin - UCL, Louvain-la-Neuve
#
# multi-platform configuration is taken from ROOT (root/test/Makefile.arch)
#

include $(ROOTSYS)/test/Makefile.arch

ifeq ($(ARCH),macosx64)
UNDEFOPT = dynamic_lookup
endif

SrcSuf = cc

CXXFLAGS += $(ROOTCFLAGS) -DDROP_CGAL -I. -Itcl -Imcfio -Istdhep -ISISCone -ICDFCones -ICDFCones/CDFcode
LIBS = $(ROOTLIBS) -lEG $(SYSLIBS)
GLIBS = $(ROOTGLIBS) $(SYSLIBS)
	
###

STATIC = lib/libExRootAnalysisPGS.$(LibSuf)
SHARED = lib/libExRootAnalysis.$(DllSuf)

all:


ExRootSTDHEPConverter$(ExeSuf): \
	tmp/test/ExRootSTDHEPConverter.$(ObjSuf)

tmp/test/ExRootSTDHEPConverter.$(ObjSuf): \
	test/ExRootSTDHEPConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
MatchingSTDHEPConverter$(ExeSuf): \
	tmp/test/MatchingSTDHEPConverter.$(ObjSuf)

tmp/test/MatchingSTDHEPConverter.$(ObjSuf): \
	test/MatchingSTDHEPConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
STDHEP_EXECUTABLE =  \
	ExRootSTDHEPConverter$(ExeSuf) \
	MatchingSTDHEPConverter$(ExeSuf)

STDHEP_EXECUTABLE_OBJ =  \
	tmp/test/ExRootSTDHEPConverter.$(ObjSuf) \
	tmp/test/MatchingSTDHEPConverter.$(ObjSuf)

ExRootHEPEVTConverter$(ExeSuf): \
	tmp/test/ExRootHEPEVTConverter.$(ObjSuf)

tmp/test/ExRootHEPEVTConverter.$(ObjSuf): \
	test/ExRootHEPEVTConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h
ExRootLHCOlympicsConverter$(ExeSuf): \
	tmp/test/ExRootLHCOlympicsConverter.$(ObjSuf)

tmp/test/ExRootLHCOlympicsConverter.$(ObjSuf): \
	test/ExRootLHCOlympicsConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
ExRootLHEFConverter$(ExeSuf): \
	tmp/test/ExRootLHEFConverter.$(ObjSuf)

tmp/test/ExRootLHEFConverter.$(ObjSuf): \
	test/ExRootLHEFConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
ExRootMain$(ExeSuf): \
	tmp/test/ExRootMain.$(ObjSuf)

tmp/test/ExRootMain.$(ObjSuf): \
	test/ExRootMain.cpp \
	ExRootAnalysis/ExRootAnalysis.h
Example$(ExeSuf): \
	tmp/test/Example.$(ObjSuf)

tmp/test/Example.$(ObjSuf): \
	test/Example.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootUtilities.h
MatchingTreeConverter$(ExeSuf): \
	tmp/test/MatchingTreeConverter.$(ObjSuf)

tmp/test/MatchingTreeConverter.$(ObjSuf): \
	test/MatchingTreeConverter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
ExRootLHCOlympicsWriter$(ExeSuf): \
	tmp/test/ExRootLHCOlympicsWriter.$(ObjSuf)

tmp/test/ExRootLHCOlympicsWriter.$(ObjSuf): \
	test/ExRootLHCOlympicsWriter.cpp \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
EXECUTABLE =  \
	ExRootHEPEVTConverter$(ExeSuf) \
	ExRootLHCOlympicsConverter$(ExeSuf) \
	ExRootLHEFConverter$(ExeSuf) \
	ExRootMain$(ExeSuf) \
	Example$(ExeSuf) \
	MatchingTreeConverter$(ExeSuf) \
	ExRootLHCOlympicsWriter$(ExeSuf)

EXECUTABLE_OBJ =  \
	tmp/test/ExRootHEPEVTConverter.$(ObjSuf) \
	tmp/test/ExRootLHCOlympicsConverter.$(ObjSuf) \
	tmp/test/ExRootLHEFConverter.$(ObjSuf) \
	tmp/test/ExRootMain.$(ObjSuf) \
	tmp/test/Example.$(ObjSuf) \
	tmp/test/MatchingTreeConverter.$(ObjSuf) \
	tmp/test/ExRootLHCOlympicsWriter.$(ObjSuf)

tmp/src/ExRootAnalysisDict.$(SrcSuf): \
	src/ExRootAnalysisLinkDef.h \
	ExRootAnalysis/ExRootSortableObject.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootCandList.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootClassifier.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootProgressBar.h \
	ExRootAnalysis/ExRootConfReader.h \
	ExRootAnalysis/ExRootEventLoop.h \
	ExRootAnalysis/ExRootAnalysis.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootModule.h \
	ExRootAnalysis/ExRootTask.h
tmp/modules/ModulesDict.$(SrcSuf): \
	modules/ModulesLinkDef.h \
	modules/MadGraphParticleClassifier.h \
	modules/MadGraphClassFilter.h \
	modules/MadGraphClassMerger.h \
	modules/MadGraphJetLeptonMerger.h \
	modules/MadGraphAnalysis.h \
	modules/MadGraphMatchingAnalysis.h \
	modules/MadGraphMatchingTreeWriter.h \
	modules/MadGraphKtJetFinder.h \
	modules/MadGraphCDFConeJetFinder.h \
	modules/MadGraphSISConeJetFinder.h \
	modules/MadGraphIsolatedLeptonFinder.h \
	modules/PythiaFix.h \
	modules/MadGraphPartonSelector.h \
	modules/MadGraphJetParticleSelector.h \
	modules/MadGraphShowerPartonSelector.h \
	modules/MadGraphShowerLeptonSelector.h
DICT =  \
	tmp/src/ExRootAnalysisDict.$(SrcSuf) \
	tmp/modules/ModulesDict.$(SrcSuf)

DICT_OBJ =  \
	tmp/src/ExRootAnalysisDict.$(ObjSuf) \
	tmp/modules/ModulesDict.$(ObjSuf)

tmp/pgs/ExRootAnalysisDict.$(SrcSuf): \
	pgs/ExRootAnalysisLinkDef.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h
PGS_DICT =  \
	tmp/pgs/ExRootAnalysisDict.$(SrcSuf)

PGS_DICT_OBJ =  \
	tmp/pgs/ExRootAnalysisDict.$(ObjSuf)

tmp/src/ExRootAnalysis.$(ObjSuf): \
	src/ExRootAnalysis.$(SrcSuf) \
	ExRootAnalysis/ExRootAnalysis.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootConfReader.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
tmp/src/ExRootCandList.$(ObjSuf): \
	src/ExRootCandList.$(SrcSuf) \
	ExRootAnalysis/ExRootCandList.h \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootFactory.h
tmp/src/ExRootCandidate.$(ObjSuf): \
	src/ExRootCandidate.$(SrcSuf) \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootFactory.h
tmp/src/ExRootClasses.$(ObjSuf): \
	src/ExRootClasses.$(SrcSuf) \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootSortableObject.h
tmp/src/ExRootConfReader.$(ObjSuf): \
	src/ExRootConfReader.$(SrcSuf) \
	ExRootAnalysis/ExRootConfReader.h \
	tcl/tcl.h
tmp/src/ExRootEventLoop.$(ObjSuf): \
	src/ExRootEventLoop.$(SrcSuf) \
	ExRootAnalysis/ExRootEventLoop.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootConfReader.h \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootUtilities.h \
	ExRootAnalysis/ExRootProgressBar.h
tmp/src/ExRootFactory.$(ObjSuf): \
	src/ExRootFactory.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h \
	ExRootAnalysis/ExRootCandList.h
tmp/src/ExRootFilter.$(ObjSuf): \
	src/ExRootFilter.$(SrcSuf) \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootClassifier.h
tmp/src/ExRootModule.$(ObjSuf): \
	src/ExRootModule.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeReader.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootModule.h \
	ExRootAnalysis/ExRootFactory.h
tmp/src/ExRootProgressBar.$(ObjSuf): \
	src/ExRootProgressBar.$(SrcSuf) \
	ExRootAnalysis/ExRootProgressBar.h
tmp/src/ExRootResult.$(ObjSuf): \
	src/ExRootResult.$(SrcSuf) \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootUtilities.h
tmp/src/ExRootTask.$(ObjSuf): \
	src/ExRootTask.$(SrcSuf) \
	ExRootAnalysis/ExRootTask.h \
	ExRootAnalysis/ExRootConfReader.h
tmp/src/ExRootTreeBranch.$(ObjSuf): \
	src/ExRootTreeBranch.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeBranch.h
tmp/src/ExRootTreeReader.$(ObjSuf): \
	src/ExRootTreeReader.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeReader.h
tmp/src/ExRootTreeWriter.$(ObjSuf): \
	src/ExRootTreeWriter.$(SrcSuf) \
	ExRootAnalysis/ExRootTreeWriter.h \
	ExRootAnalysis/ExRootTreeBranch.h
tmp/src/ExRootUtilities.$(ObjSuf): \
	src/ExRootUtilities.$(SrcSuf) \
	ExRootAnalysis/ExRootUtilities.h
tmp/modules/MadGraphAnalysis.$(ObjSuf): \
	modules/MadGraphAnalysis.$(SrcSuf) \
	modules/MadGraphAnalysis.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphClassFilter.$(ObjSuf): \
	modules/MadGraphClassFilter.$(SrcSuf) \
	modules/MadGraphClassFilter.h \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h
tmp/modules/MadGraphClassMerger.$(ObjSuf): \
	modules/MadGraphClassMerger.$(SrcSuf) \
	modules/MadGraphClassMerger.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphIsolatedLeptonFinder.$(ObjSuf): \
	modules/MadGraphIsolatedLeptonFinder.$(SrcSuf) \
	modules/MadGraphIsolatedLeptonFinder.h \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphJetLeptonMerger.$(ObjSuf): \
	modules/MadGraphJetLeptonMerger.$(SrcSuf) \
	modules/MadGraphJetLeptonMerger.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphJetParticleSelector.$(ObjSuf): \
	modules/MadGraphJetParticleSelector.$(SrcSuf) \
	modules/MadGraphJetParticleSelector.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootClassifier.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphKtJetFinder.$(ObjSuf): \
	modules/MadGraphKtJetFinder.$(SrcSuf) \
	modules/MadGraphKtJetFinder.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h \
	KtJet/KtEvent.h \
	KtJet/KtLorentzVector.h
tmp/modules/MadGraphMatchingAnalysis.$(ObjSuf): \
	modules/MadGraphMatchingAnalysis.$(SrcSuf) \
	modules/MadGraphMatchingAnalysis.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphMatchingTreeWriter.$(ObjSuf): \
	modules/MadGraphMatchingTreeWriter.$(SrcSuf) \
	modules/MadGraphMatchingTreeWriter.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootTreeBranch.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphParticleClassifier.$(ObjSuf): \
	modules/MadGraphParticleClassifier.$(SrcSuf) \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootClasses.h
tmp/modules/MadGraphPartonSelector.$(ObjSuf): \
	modules/MadGraphPartonSelector.$(SrcSuf) \
	modules/MadGraphPartonSelector.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootClassifier.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphShowerLeptonSelector.$(ObjSuf): \
	modules/MadGraphShowerLeptonSelector.$(SrcSuf) \
	modules/MadGraphShowerLeptonSelector.h \
	modules/MadGraphParticleClassifier.h \
	ExRootAnalysis/ExRootClasses.h \
	ExRootAnalysis/ExRootFilter.h \
	ExRootAnalysis/ExRootFactory.h \
	ExRootAnalysis/ExRootCandidate.h
tmp/modules/MadGraphShowerPartonSelector.$(ObjSuf): \
	modules/MadGraphShowerPartonSelector.$(SrcSuf) \
	modules/MadGraphShowerPartonSelector.h \
	ExRootAnalysis/ExRootResult.h \
	ExRootAnalysis/ExRootClasses.h \
