=== minix/lib/Makefile ===
#Generated from ./Makefile.in
all: all-ack

all-ack:
all-gnu:

makefiles: Makefile
Makedepend-ack Makedepend-gnu: 
	sh generate.sh . obj-ack/ obj-gnu

Makefile: Makefile.in Makedepend-ack Makedepend-gnu
	sh generate.sh . obj-ack/ obj-gnu
	@echo
	@echo *Attention*
	@echo Makefile is regenerated... rerun command to see changes
	@echo *Attention*
	@echo

all-ack: makefiles
	mkdir -p obj-ack//./ansi
	cd ansi && $(MAKE) $@
	mkdir -p obj-ack//./curses
	cd curses && $(MAKE) $@
	mkdir -p obj-ack//./dummy
	cd dummy && $(MAKE) $@
	mkdir -p obj-ack//./editline
	cd editline && $(MAKE) $@
	mkdir -p obj-ack//./end
	cd end && $(MAKE) $@
	mkdir -p obj-ack//./ip
	cd ip && $(MAKE) $@
	mkdir -p obj-ack//./math
	cd math && $(MAKE) $@
	mkdir -p obj-ack//./other
	cd other && $(MAKE) $@
	mkdir -p obj-ack//./posix
	cd posix && $(MAKE) $@
	mkdir -p obj-ack//./regex
	cd regex && $(MAKE) $@
	mkdir -p obj-ack//./stdio
	cd stdio && $(MAKE) $@
	mkdir -p obj-ack//./syscall
	cd syscall && $(MAKE) $@
	mkdir -p obj-ack//./syslib
	cd syslib && $(MAKE) $@
	mkdir -p obj-ack//./util
	cd util && $(MAKE) $@
	mkdir -p obj-ack//./sysutil
	cd sysutil && $(MAKE) $@
	mkdir -p obj-ack//./timers
	cd timers && $(MAKE) $@
	mkdir -p obj-ack//./i386
	cd i386 && $(MAKE) $@
	mkdir -p obj-ack//./zlib-1.2.3
	cd zlib-1.2.3 && $(MAKE) $@
	mkdir -p obj-ack//./ack
	cd ack && $(MAKE) $@
	mkdir -p obj-ack//./gnu
	cd gnu && $(MAKE) $@

all-gnu: makefiles
	mkdir -p obj-gnu/./ansi
	cd ansi && $(MAKE) $@
	mkdir -p obj-gnu/./curses
	cd curses && $(MAKE) $@
	mkdir -p obj-gnu/./dummy
	cd dummy && $(MAKE) $@
	mkdir -p obj-gnu/./editline
	cd editline && $(MAKE) $@
	mkdir -p obj-gnu/./end
	cd end && $(MAKE) $@
	mkdir -p obj-gnu/./ip
	cd ip && $(MAKE) $@
	mkdir -p obj-gnu/./math
	cd math && $(MAKE) $@
	mkdir -p obj-gnu/./other
	cd other && $(MAKE) $@
	mkdir -p obj-gnu/./posix
	cd posix && $(MAKE) $@
	mkdir -p obj-gnu/./regex
	cd regex && $(MAKE) $@
	mkdir -p obj-gnu/./stdio
	cd stdio && $(MAKE) $@
	mkdir -p obj-gnu/./syscall
	cd syscall && $(MAKE) $@
	mkdir -p obj-gnu/./syslib
	cd syslib && $(MAKE) $@
	mkdir -p obj-gnu/./util
	cd util && $(MAKE) $@
	mkdir -p obj-gnu/./sysutil
	cd sysutil && $(MAKE) $@
	mkdir -p obj-gnu/./timers
	cd timers && $(MAKE) $@
	mkdir -p obj-gnu/./i386
	cd i386 && $(MAKE) $@
	mkdir -p obj-gnu/./zlib-1.2.3
	cd zlib-1.2.3 && $(MAKE) $@
	mkdir -p obj-gnu/./ack
	cd ack && $(MAKE) $@
	mkdir -p obj-gnu/./gnu
	cd gnu && $(MAKE) $@

clean depend depend-ack depend-gnu:: makefiles
	cd ansi && $(MAKE) $@
	cd curses && $(MAKE) $@
	cd dummy && $(MAKE) $@
	cd editline && $(MAKE) $@
	cd end && $(MAKE) $@
	cd ip && $(MAKE) $@
	cd math && $(MAKE) $@
	cd other && $(MAKE) $@
	cd posix && $(MAKE) $@
	cd regex && $(MAKE) $@
	cd stdio && $(MAKE) $@
	cd syscall && $(MAKE) $@
	cd syslib && $(MAKE) $@
	cd util && $(MAKE) $@
	cd sysutil && $(MAKE) $@
	cd timers && $(MAKE) $@
	cd i386 && $(MAKE) $@
	cd zlib-1.2.3 && $(MAKE) $@
	cd ack && $(MAKE) $@
	cd gnu && $(MAKE) $@

makefiles: ansi/Makefile
makefiles: curses/Makefile
makefiles: dummy/Makefile
makefiles: editline/Makefile
makefiles: end/Makefile
makefiles: ip/Makefile
makefiles: math/Makefile
makefiles: other/Makefile
makefiles: posix/Makefile
makefiles: regex/Makefile
makefiles: stdio/Makefile
makefiles: syscall/Makefile
makefiles: syslib/Makefile
makefiles: util/Makefile
makefiles: sysutil/Makefile
makefiles: timers/Makefile
makefiles: i386/Makefile
makefiles: zlib-1.2.3/Makefile
makefiles: ack/Makefile
makefiles: gnu/Makefile

ansi/Makefile: ansi/Makefile.in
	cd ansi && sh ../generate.sh ./ansi ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
curses/Makefile: curses/Makefile.in
	cd curses && sh ../generate.sh ./curses ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
dummy/Makefile: dummy/Makefile.in
	cd dummy && sh ../generate.sh ./dummy ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
editline/Makefile: editline/Makefile.in
	cd editline && sh ../generate.sh ./editline ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
end/Makefile: end/Makefile.in
	cd end && sh ../generate.sh ./end ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
ip/Makefile: ip/Makefile.in
	cd ip && sh ../generate.sh ./ip ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
math/Makefile: math/Makefile.in
	cd math && sh ../generate.sh ./math ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
other/Makefile: other/Makefile.in
	cd other && sh ../generate.sh ./other ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
posix/Makefile: posix/Makefile.in
	cd posix && sh ../generate.sh ./posix ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
regex/Makefile: regex/Makefile.in
	cd regex && sh ../generate.sh ./regex ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
stdio/Makefile: stdio/Makefile.in
	cd stdio && sh ../generate.sh ./stdio ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
syscall/Makefile: syscall/Makefile.in
	cd syscall && sh ../generate.sh ./syscall ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
syslib/Makefile: syslib/Makefile.in
	cd syslib && sh ../generate.sh ./syslib ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
util/Makefile: util/Makefile.in
	cd util && sh ../generate.sh ./util ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
sysutil/Makefile: sysutil/Makefile.in
	cd sysutil && sh ../generate.sh ./sysutil ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
timers/Makefile: timers/Makefile.in
	cd timers && sh ../generate.sh ./timers ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
i386/Makefile: i386/Makefile.in
	cd i386 && sh ../generate.sh ./i386 ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
zlib-1.2.3/Makefile: zlib-1.2.3/Makefile.in
	cd zlib-1.2.3 && sh ../generate.sh ./zlib-1.2.3 ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
ack/Makefile: ack/Makefile.in
	cd ack && sh ../generate.sh ./ack ../obj-ack/ ../obj-gnu && $(MAKE) makefiles
gnu/Makefile: gnu/Makefile.in
	cd gnu && sh ../generate.sh ./gnu ../obj-ack/ ../obj-gnu && $(MAKE) makefiles

clean::
	rm -f obj-ack//./*
	rm -f obj-gnu/./*

install: install-ack

install-ack: all-ack
	cp obj-ack//*.[ao] /usr/lib/i386

install-gnu: all-gnu
	cp obj-gnu/*.[ao] /usr/gnu/lib

include Makedepend-ack
include .depend-ack

include Makedepend-gnu
include .depend-gnu
