=== packages/sipb-xen-database/sipb-xen-database/debian/changelog ===
sipb-xen-database (0) unstable; urgency=low

  * Initial Release.

 -- Nelson Elhage <nelhage@mit.edu>  Sun, 15 Jul 2007 16:01:16 -0400
