=== packages/sipb-xen-database/sipb-xen-database/debian/control ===
Source: sipb-xen-database
Section: unknown
Priority: extra
Maintainer: Nelson Elhage <nelhage@mit.edu>
Build-Depends: cdbs, cdbs, debhelper (>= 5)
Standards-Version: 3.7.2

Package: sipb-xen-database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
