=== packages/sipb-xen-dev/sipb-xen-dev/debian/control ===
Source: sipb-xen-dev
Section: servers
Priority: important
Maintainer: sipb-xen@mit.edu
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sipb-xen-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev-el, emacs21, reprepro, apache2, postfix, screen, dh-make, screen, , fakeroot, pbuilder
Description: SIPB Xen development server 
 This package  should be installed on sipb-xen-dev
 It makes sure that necessary tools are avaibale.
